<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

if (!defined("_LOAD_PAGE_")) {
	die("<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Error:</b> This file cannot be opened directly!</td></tr></table>");
}

if ($page=="messages") {
	header("Location: ../index.php");
	die();
}

global $dblink,$siteConfig;

$tpl_messages = array();
$myrank = myRank();
if ($result = $dblink->get_list("SELECT *,DATE_FORMAT(data, '".$siteConfig['timestamp']."') as data FROM memht_messaggi WHERE enabled=1 AND rank<=$myrank ORDER BY id DESC")) {
	foreach ($result as $row) {
		$title = outCode($row['nome']);
		$text = outCode($row['testo']);
		$author = outCode($row['autore']);
		$date = $row['data'];
		
		$tpl_messages[] = array(
			"title"=>"$title",
			"content"=>"$text",
			"author"=>"$author",
			"date"=>"$date"
		);
	}
}
$tpl->assign("tpl_messages",$tpl_messages);

?>